#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A plugin-based library to create window decorations
Name:           kdecoration
Version: 5.20.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5I18n)

%description
A plugin-based library to create window decorations.

%files -f %name.lang

#--------------------------------------------------------------------

%define kf5decoration_major 5
%define libkf5decoration %mklibname kdecorations2_ %{kf5decoration_major}

%package -n %libkf5decoration
Summary:        A plugin-based library to create window decorations
Group:          System/Libraries
Requires:       %name >= %version-%release
Obsoletes:      %{_lib}kf5decoration5 < 5.16.3-3

%description -n %libkf5decoration
A plugin-based library to create window decorations.

%files -n %libkf5decoration
%_kf5_libdir/libkdecorations2.so.%{kf5decoration_major}{,.*}

#--------------------------------------------------------------------

%define kf5decorationprivate_major 7
%define libkf5decorationprivate %mklibname kdecorations2private %{kf5decorationprivate_major}

%package -n %libkf5decorationprivate
Summary:        A plugin-based library to create window decorations
Group:          System/Libraries
Requires:       %name >= %version-%release
Obsoletes:      %{_lib}kf5decorationprivate5 < 5.16.3-3

%description -n %libkf5decorationprivate
A plugin-based library to create window decorations.

%files -n %libkf5decorationprivate
%_kf5_libdir/libkdecorations2private.so.%{kf5decorationprivate_major}
%_kf5_libdir/libkdecorations2private.so.%{version}

#--------------------------------------------------------------------

%define kf5decoration_devel %mklibname kdecoration2 -d

%package -n %kf5decoration_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5decoration = %version-%release
Requires:       %libkf5decorationprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}
Obsoletes:      %{_lib}kf5decoration-devel < 5.15.4-2

%description -n %kf5decoration_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5decoration_devel
%_includedir/KDecoration2/
%_kf5_includedir/kdecoration2_version.h
%_kf5_libdir/cmake/KDecoration2/
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang %name --all-name



%changelog
* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654182
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645397
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639970
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637727
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635431
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620768
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609593
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1602992
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598707
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594001
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580741
- New version 5.18.5

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557141
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550367
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548233
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1546983
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1501081
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487392
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464289
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460047
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456758
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455323
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453155
- New version 5.17.0

* Sun Sep 29 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448051
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437039
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426307
- New version 5.16.4

* Wed Jul 24 2019 daviddavid <daviddavid> 5.16.3-3.mga8
+ Revision: 1423860
- fix obsolete

* Wed Jul 24 2019 daviddavid <daviddavid> 5.16.3-2.mga8
+ Revision: 1423856
- fix devel and libraries pkg-name

* Thu Jul 11 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1420143
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386839
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1382208
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374916
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370545
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368585
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367220
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356169
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339306
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324865
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1298480
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1251825
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204436
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200981
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194288
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185676
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174096
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172381
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162381
- New version 5.10.95
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128195
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104832
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089018
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078153
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070710
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065133
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064470
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063041
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060266
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057592
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053048
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052675
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048336
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044261
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042549
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041386
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039492
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021858
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014529
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009267
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999251
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998006
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994381
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987062
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983734
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927961
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922498
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914834
- New version 5.5.2

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913646
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910679
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908840
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904393
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900717
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898251
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889508
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874723
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869639
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862531
- New version 5.3.95

* Fri Jul 03 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 849688
- imported package kdecoration

